tls:
    options:
        default:
            minVersion: VersionTLS12
            maxVersion: VersionTLS13
http:
    middlewares:
        security-headers:
            headers:
                browserXssFilter: true
                contentTypeNosniff: true
                frameDeny: true
                referrerPolicy: "strict-origin-when-cross-origin" # Referrer-Policy
                forceSTSHeader: true # HTTP-Strict-Transport-Security (HSTS)
                stsIncludeSubdomains: true
                stsPreload: true
                stsSeconds: 31536000
                customFrameOptionsValue: "SAMEORIGIN"
                customResponseHeaders:
                    server: ""
                    x-powered-by: ""
        content-type: # needed for traefik v3 - see https://doc.traefik.io/traefik/v3.0/migration/v2-to-v3/
            contentType: {}
        rate-limit:
            rateLimit:
                average: 100
                period: 1
                burst: 100
        gzip:
            compress: {}
